#include "ResourcePool/mysql/ResourcePool.hh"
#include "t/main.hh"

#include "testconfig.cc"
#include "../SQL/SQLSelectRow.t.cc"

std::auto_ptr<RP> rp;

void INIT_mysql_SQLSelectRow() {
	rp.reset(new RP(getFactory()));
	test_SQLSelectRow_init(*rp);
}

void TEST_mysql_SQLSelectRow_one() {
	test_SQLSelectRow_one(*rp);
}

void TEST_mysql_SQLSelectRow_output() {
	test_SQLSelectRow_output(*rp);
}

void TEST_PERF_mysql_SQLSelectRow_one_spec_outer() {
	test_perf_SQLSelectRow_one_spec_outer(*rp);
}

void TEST_PERF_mysql_SQLSelectRow_one_spec_inner() {
	test_perf_SQLSelectRow_one_spec_inner(*rp);
}

void TEST_mysql_SQLSelectRow_clone() {
	test_SQLSelectRow_clone(*rp);
}

void CLEANUP_mysql_SQLSelectRow() {
	test_SQLSelectRow_cleanup(*rp);
}

